namespace MessageAPI.Model
{
    public class User
    {
        public int Id { get; set; }
        public string UserName { get; set; }
        public byte[] Hash { get; set; }
        public byte[] Salt { get; set; }
        public string Sex { get; set;}
        public string About { get; set; }
        public DateTime WasActive { get; set; } = DateTime.Now;
        public DateTime Dob { get; set; } 
        public string Hobbies { get; set; }
        public string City { get; set; }
        public string Country { get; set; }
        public ICollection<Photo> Photo { get; set; } //one to many
        public ICollection<Message> Sent { get; set; }
        public ICollection<Message> Received { get; set; }


    }
}