import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot, CanActivate, RouterStateSnapshot, UrlTree } from '@angular/router';
import { map, Observable } from 'rxjs';
import { LogSignService } from './clientServices/log-sign.service';

@Injectable({
  providedIn: 'root'
})
export class AuthenticatedGuard implements CanActivate {

  constructor(private loginService: LogSignService){}
  canActivate(): Observable<boolean> {
    return this.loginService.userValues$.pipe(map( u => { if(u) return true} ));
  }
  
}
