namespace MessageAPI.APIInterfaces
{
    public interface IMessageDataRepository
    {
        void newMessage(Message messages);
        Task<Message> GetMessage(int id);
        Task<Paging<MessageViewItem>> GetAllMessages(FilterMessages filterMessages);
        Task<IEnumerable<MessageViewItem>> MessageBetweenUsers(string issuerName, string targetName);
        void NewSignalRGroup(SignalRGroup signalRGroup);
        void RemoveUsersSignalR(UserSignalR usersSignalR);
        Task<UserSignalR> NewUsersSignalR(string id);
        Task<SignalRGroup> AddNewSignalRGroup(string name );
        Task<bool> Save();
        void DeleteText(Message messages);
    }
}