namespace MessageAPI.APIInterfaces
{
    public interface IUserDataRepository
    {
        Task<User>GetByUsername(string username);
        Task<bool> SaveChanges();
        Task<IEnumerable<User>> GetAllUsers();
        void ProfileUpdate(User user);   
    }
}