namespace MessageAPI.Model
{
    public class Message
    {
        public int Id { get; set; }
        public int IssuerId { get; set; }
        public string IssuerUsername { get; set; }
        public User Issuer { get; set; }
        public int TargetId { get; set; }
        public string TargetUsername { get; set; }
        public User Target { get; set; }
        public string Text { get; set; }
        public DateTime? TextRead { get; set; }
        public DateTime TextSent { get; set; } = DateTime.UtcNow;
    }
}