import { Component, OnInit } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { ClientUser } from '../clientEntities/clientUser';
import { LogSignService } from '../clientServices/log-sign.service';
import { take } from 'rxjs';

@Component({
  selector: 'app-main',
  templateUrl: './main.component.html',
  styleUrls: ['./main.component.css']
})
export class MainComponent implements OnInit {
  registrationVisible = false;
  clientUser: ClientUser;

  constructor(private loginService: LogSignService) { this.loginService.userValues$.pipe(take(1)).subscribe(user => this.clientUser = user); }

  ngOnInit(): void {
    
  }

  registration(){
    this.registrationVisible = !this.registrationVisible
  }

  cancelSignUpRegistration(e: boolean){
    this.registrationVisible = e;
  }

  

}
