import { CanDeactivate, ActivatedRouteSnapshot, RouterStateSnapshot, UrlTree } from '@angular/router';
import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { EditUserComponent } from './users/edit-user/edit-user.component';

@Injectable({
  providedIn: 'root'
})
export class SaveFormGuard implements CanDeactivate<EditUserComponent> {
  canDeactivate(component: EditUserComponent) : Observable<boolean> | Promise<boolean> | boolean {
    
      return component.isDirty()? true : window.confirm('Do you want to leave, you have unsaved changes!');
    
    
  }
  
}
